### Name: failureRegions
### Title: Determination of unfeasible regions
### Aliases: failureRegions rConeReductionINT
### Keywords: interface

### ** Examples

# Construct a 3-dimensional grid with values 0.0,0.2,...,1.0
parameterspaceNum<-matrix(nrow=216,ncol=3)
for (i in(0:215)) parameterspaceNum[i+1,]<-c(i%/%6^2,i%/%6%%6,i%%6)                     
parameterspace<-new("poi",num=parameterspaceNum,den=matrix(5,nrow=216,ncol=3))

# Construct a poi object with 10 experiments
experimentsNum<-matrix(c(
        4,1,4,
        2,1,0,
        1,1,5,
        1,4,4,
        5,1,1,
        1,1,2,
        4,4,4,
        4,4,1,
        1,1,1,
        1,4,1   
),byrow=TRUE,nrow=10,ncol=3)  
experiments<-new("poi",num=experimentsNum,den=matrix(5,nrow=10,ncol=3))                                                         

# Declare which experiments succeeded
fail <- c(0,1,0,0,0,1,0,0,1,0)

# Start
result<-failureRegions(experiments,parameterspace,fail)
show(result)

# Show summary
getParamspaceInfo(result)



